### Method

# AppStream Component get_agreement_by_kind

since: 0.12.1

#### Declaration [src]

    AsAgreement*
    as_component_get_agreement_by_kind (
      AsComponent* cpt,
      AsAgreementKind kind
    )

#### Description [src]

Gets an agreement the component has specified for the particular kind.

Available since: 0.12.1

#### Parameters

`kind`

  Type: `AsAgreementKind`

  An agreement kind, e.g. `AS_AGREEMENT_KIND_EULA`.

#### Return value

Type: `AsAgreement`

A `AsAgreement` or `NULL` for not found.

The returned data is owned by the instance.
The return value can be `NULL`.